/*  CW for DC sample "cplusTest.cpp"  1998 Nov 2  */

/*
 *      Takashi Kashima
 *		Copyright © 1998 Metrowerks JAPAN R&D
 *		All rights reserved.
 *
 *		1999.01.21	for beta 1.5
 *		1998.11.25	for beta 1
 *
*/

#include "cpp_test.h"
#include "print.h"

int	intInit(void)	{ return 0xFF; }

static	int		staticInt	= intInit();

void	cplusTest(void)
{
	CPrint2*	pPrint	= NULL;

	pPrint	= new CPrint2(staticInt);

	while (1) {
		pPrint->print();
		pPrint->vsync();
	}

	delete	pPrint;
}
